package com.jdbernard.timeanalyzer.chart

import com.jdbernard.timeanalyzer.categories.Category
import org.jfree.data.general.DefaultPieDataset
import org.jfree.data.general.PieDataset
import org.jfree.util.SortOrder

public class Util {

    public static PieDataset makePieDataset(Category category) {
        DefaultPieDataset dpds = new DefaultPieDataset()
        category.categories.each { cat ->
            dpds.setValue(cat.description, cat.duration.standardSeconds) }
        category.events.each { entry ->
            dpds.setValue(entry.description, entry.duration.standardSeconds) }
        dpds.sortByValues(SortOrder.DESCENDING)
        return dpds }

}
