package com.jdbernard.timeanalyzer.categories

import com.jdbernard.timeanalyzer.events.Event

public class DescriptionBasedCategory extends Category {

    public DescriptionBasedCategory(String description) {
        super()
        this.description = description.replaceAll(/\p{Punct}/, '') }

    public boolean matchesEvent(Event e) { 
        return e.description.replaceAll(/\p{Punct}/, '').toLowerCase() ==
            description.toLowerCase() }

}
